<?
include_once '../../sys/fnc.php';
include_once '../../sys/head.php';
echo '<div id="page-wrapper"><div class="main-page"><div class="blank-page widget-shadow scroll" id="style-2 div1"><p>';
/* ---- */	
if (!isset($user)) {
	include_once '../sys/head.php';
	echo '<div class="err">Извините! Но доступ на данную страницу разрешён только клиентам хостинга, пожалуйста зарегистрируйтесь или войдите под своим логином</div>';
	include_once '../sys/foot.php';
	//header('location: /');
    //exit;
}
/* ---- */	
/* ---- */	
if (!isset($user) || $user->position != 'admin') {
    header('location: /');
    exit;
}
/* ---- */	

echo "<div class='menu_razd'><b> История операций с денежными средствами</b></div>";

$title = 'История операций с денежными средствами';
include_once '../../sys/head.php';


$col=mysql_num_rows(mysql_query("SELECT * FROM `history_money`"));

$money_ok = mysql_result(mysql_query("SELECT sum(money) FROM `history_money` WHERE `mp` = '1'"), 0);
$money_no = mysql_result(mysql_query("SELECT sum(money) FROM `history_money` WHERE `mp` = '0'"), 0);

echo "<div class='title'>";
echo '<b>Всего - '.$col.'</b><br />';
echo "</div>";
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `history_money`"),0);
$p_page = 10;
$k_page = k_page($k_post, 10);
$page = page($k_page);
$start = 10*$page-10;
echo "<table class='post'>\n";
if ($k_post==0){echo "<div class='err'>Нет операций</div>\n";}
$q=mysql_query("SELECT * FROM `history_money` ORDER BY id DESC LIMIT $start, ". $p_page);

while($r=mysql_fetch_array($q)){

$ank = mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = '$r[user]' LIMIT 1"));

echo "<div class='post'>";
if($r['mp']==0)$mp='<font color="red">- '.htmlspecialchars(stripslashes($r['money'])).'</font>';
if($r['mp']==1)$mp='<font color="green">+ '.htmlspecialchars(stripslashes($r['money'])).'</font>';
echo ' <a href="/user'.$ank['id'].'">'.$ank['login'].'</a> :: '.$mp.' <b>WMR.</b> | <font color="green">'.htmlspecialchars(stripslashes($r['usl'])).'</font> <b>('.date('d.y/H:i',$r['time']).')</b><br />';
echo "</div>";
}
if ($k_page>1)str('?',$k_page,$page); // Вывод страниц

echo $div->div_menu.' » Денег пополнили: <span class="count">'. $money_ok .' wmr</span> </div>'; 
echo $div->div_menu.' » Денег потратили: <span class="count">'. $money_no .' wmr</span> </div>'; 

if ($user->position == 'admin')echo $div->div_menu.' » <a href="/admin">Админ управление</a></div>';

include_once '../../sys/foot.php';
?>